nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
rpi_omx::Camera Class Reference

OMX.broadcom.camera. More...

`#include <rpi_omx.h>`

Inheritance diagram for rpi_omx::Camera:

## Public Member Functions
void | requestCallback ()
void | setDeviceNumber (unsigned camNumber)
void | setVideoFromat (const VideoFromat &videoFormat)
void | setFramerate (unsigned fps)
void | setSharpness (OMX_U32 nPortIndex=OMX_ALL, OMX_S32 nSharpness=0)
void | setContrast (OMX_U32 nPortIndex=OMX_ALL, OMX_S32 nContrast=0)
void | setSaturation (OMX_U32 nPortIndex=OMX_ALL, OMX_S32 nSaturation=0)
void | setBrightness (OMX_U32 nPortIndex=OMX_ALL, OMX_U32 nBrightness=50)
void | setExposureValue (OMX_U32 nPortIndex=OMX_ALL, OMX_S32 xEVCompensation=0, OMX_U32 nSensitivity=100, OMX_BOOL bAutoSensitivity=OMX_FALSE)
void | setFrameStabilisation (OMX_U32 nPortIndex=OMX_ALL, OMX_BOOL bStab=OMX_TRUE)
void | setWhiteBalanceControl (OMX_U32 nPortIndex=OMX_ALL, OMX_WHITEBALCONTROLTYPE eWhiteBalControl=OMX_WhiteBalControlAuto)
void | setImageFilter (OMX_U32 nPortIndex=OMX_ALL, OMX_IMAGEFILTERTYPE eImageFilter=OMX_ImageFilterNone)
void | setMirror (OMX_U32 nPortIndex, OMX_MIRRORTYPE eMirror=OMX_MirrorNone)
void | setImageDefaults ()
void | capture (OMX_U32 nPortIndex, OMX_BOOL bEnabled)
void | allocBuffers ()
void | freeBuffers ()
void | eventReady ()
bool | waitReady ()
Public Member Functions inherited from rpi_omx::Component
OMX_HANDLETYPE & | component ()
ComponentType | type () const
const char * | name () const
unsigned | numPorts () const
void | dumpPort (OMX_U32 nPortIndex, bool dumpFormats=false)
OMX_STATETYPE | state ()
void | switchState (OMX_STATETYPE newState)
unsigned | count2wait (OMX_U32 nPortIndex) const
void | enablePort (OMX_U32 nPortIndex=OMX_ALL)
void | disablePort (OMX_U32 nPortIndex=OMX_ALL)
void | flushPort (OMX_U32 nPortIndex=OMX_ALL)
void | getPortDefinition (OMX_U32 nPortIndex, Parameter< OMX_PARAM_PORTDEFINITIONTYPE > &portDef)
void | setPortDefinition (OMX_U32 nPortIndex, Parameter< OMX_PARAM_PORTDEFINITIONTYPE > &portDef)
void | allocBuffers (OMX_U32 nPortIndex, Buffer &buffer)
void | freeBuffers (OMX_U32 nPortIndex, Buffer &buffer)
void | callFillThisBuffer (Buffer &buffer)
void | eventCmdComplete (OMX_U32 cmd, OMX_U32)
void | eventPortSettingsChanged (OMX_U32)

## Static Public Member Functions
static int32_t | align (unsigned x, unsigned y)

## Static Public Attributes
static const ComponentType | cType = broadcom::CAMERA
static const unsigned | OPORT_PREVIEW = 70
static const unsigned | OPORT_VIDEO = 71
static const unsigned | OPORT_STILL = 72
static const unsigned | IPORT = 73
static const unsigned | CAM_DEVICE_NUMBER = 0

## Additional Inherited Members
Protected Member Functions inherited from rpi_omx::Component
| Component (ComponentType type, OMX_PTR pAppData, OMX_CALLBACKTYPE *callbacks)
unsigned | n2idx (OMX_U32 nPortIndex) const
unsigned | idx2n (unsigned idx) const
Protected Attributes inherited from rpi_omx::Component
OMX_HANDLETYPE | m_component
ComponentType | m_type

## Detailed Description

OMX.broadcom.camera.

The documentation for this class was generated from the following file:

- samples/device/rpi_camera_plugin/src/rpi_omx.h